WISH: rhinoscriptsyntax.GetPointCoordinates() to accept point3d as input

The following looks more intuitive (to me at least):

import rhinoscriptsyntax as rs

sel_point = rs.GetPoint("sel point:")
point_from_guid = rs.coerce3dpoint(sel_point)
pt_coord_list = rs.GetPointCoordinates(point_from_guid)

#guid as input could also be acceptable
pt_coord_list = rs.GetPointCoordinates(sel_point) 

Before anyone answers with RhinoCommon examples. I kind of want to avoid RhinoCommon in this particular case.
RhinoCommon api is not noob-friendly.

Why do you need this? A point3d object already has the point coordinates as properties:
p.X, p.Y and p.Z
(where p is the point3d object in case it isn’t clear)

1 Like

because I get no intellisense :frowning: (attribute list) dropdown

image

Yeah, but that will happen with everything, not just point objects, that’s just a limitation of how it works

image

This works:

image

1 Like

Yes, I know rhino common works, but why doesn’t it work with objects assigned using rhinoscriptsyntax?

It doesn’t work with any kind of instance of an object, not just rhinoscriptsyntax:

image

not pretty :frowning: